> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/adtool/api-adtool-types.md).

# /api/adtool/types

## GET /api/adtool/types

> Get types of adtools

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/adtool/types"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"get_adtool_types":{"type":"object","properties":{"success":{"type":"boolean"}}}}},"paths":{"/api/adtool/types":{"get":{"description":"Get types of adtools","tags":["/api/adtool/types"],"parameters":[{"name":"adtool_category_id","in":"query","schema":{"default":0,"type":"integer"},"required":false},{"name":"order","in":"query","schema":{"type":"string"},"required":false},{"name":"deleted","in":"query","schema":{"default":0,"type":"string"},"required":false}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/get_adtool_types"}},"application/json":{"schema":{"$ref":"#/components/schemas/get_adtool_types"}},"application/xml":{"schema":{"$ref":"#/components/schemas/get_adtool_types"}}}}}}}}}
```
